Loading...
Searching...
No Matches
rate_ctr_group Struct Reference
Rate counters

One instance of a counter group class. More...

`#include <rate_ctr.h>`

## Data Fields

struct llist_head | list
| Linked list of all counter groups in the system.
const struct rate_ctr_group_desc * | desc
| Pointer to the counter group class.
unsigned int | idx
| The index of this ctr_group within its class.
char * | name
| Optional string-based identifier to be used instead of index at report time.
struct rate_ctr | ctr [0]
| Actual counter structures below.

## Detailed Description

One instance of a counter group class.

## Field Documentation

## ctr

struct rate_ctr rate_ctr_group::ctr[0]

Actual counter structures below.

Don't access it directly, use APIs below!

Referenced by rate_ctr_for_each_counter(), rate_ctr_get_by_name(), rate_ctr_group_reset(), and rate_ctr_reset().

## desc

const struct rate_ctr_group_desc* rate_ctr_group::desc

Pointer to the counter group class.

Referenced by osmo_stats_reporter_log_send_counter(), osmo_stats_reporter_statsd_send_counter(), rate_ctr_for_each_counter(), rate_ctr_get_by_name(), rate_ctr_get_group_by_name_idx(), rate_ctr_get_unused_name_idx(), rate_ctr_group_reset(), and rate_ctr_handler().

## idx

unsigned int rate_ctr_group::idx

The index of this ctr_group within its class.

Referenced by osmo_stats_reporter_log_send_counter(), osmo_stats_reporter_statsd_send_counter(), rate_ctr_get_group_by_name_idx(), rate_ctr_get_unused_name_idx(), rate_ctr_group_alloc(), rate_ctr_group_upd_idx(), and rate_ctr_handler().

## list

struct llist_head rate_ctr_group::list

Linked list of all counter groups in the system.

Referenced by rate_ctr_for_each_group(), rate_ctr_get_group_by_name_idx(), rate_ctr_get_unused_name_idx(), and rate_ctr_timer_cb().

## name

char* rate_ctr_group::name

Optional string-based identifier to be used instead of index at report time.

Referenced by osmo_stats_reporter_statsd_send_counter().

The documentation for this struct was generated from the following file:

- include/osmocom/core/rate_ctr.h